<?php
/**
 * @package datamodul
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */




class ZahlungOnline extends Datamodul
{
  public $zahlung_id;
  public $amount;
  public $transactionid;
  public $paymenttype;
  public $financialinstitution;
  public $anonymouspan;
  public $payerid;
  public $paymentstatus;
  public $ordertime;
  public $payeremail;
  public $iban;
  public $bic;
  public $banknumber;
  public $bankname;
  public $payername;

  function getTyp($pFieldName) {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'ordertime':
        return VARTYP_DATETIME;        
      case 'zahlung_id':
        return VARTYP_INT;
      case 'amount':
        return VARTYP_FLOAT_DOT;
    }
  }

}
?>